> ## Documentation Index
> Fetch the complete documentation index at: https://docs.superoffice.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Numbers (integer, decimal, float)

> REST Web API search numbers

## Equals

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId = 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId eq 2 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId equals 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId set 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Not equals

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId ne 2 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Less than

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId lt 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId less 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Greater than

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId gt 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId greater 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```

## Not equal to

```http theme={null}
GET /api/v1/contact?$select=name,associateId,contactAssociate/fullName&$filter=contactId unequals 5 HTTP/1.1
Authorization: Bearer 8A:
Content-Type: application/json
Accept: application/json
```


## Related topics

- [REST WebAPI search](/en/api/search/odata/index.md)
- [Float](/en/automation/crmscript/reference/CRMScript.Global.Float.md)
- [Float data type](/en/automation/crmscript/datatypes/float-type.md)
- [Integer](/en/automation/crmscript/reference/CRMScript.Global.Integer.md)
- [Integer data type](/en/automation/crmscript/datatypes/integer-type.md)
- [Namespace CRMScript.Global](/en/automation/crmscript/reference/CRMScript.Global.md)
